Creates a new LoyaltyProgram.
HTTP request
POST https://merchantapi.googleapis.com/accounts/v1alpha/{parent=accounts/*/programs/*}/loyaltyPrograms
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The account which owns the LoyaltyProgram. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"programLabel": string,
"loyaltyProgram": {
object ( |
| Fields | |
|---|---|
programLabel |
Required. A unique identifier for the LoyaltyProgram. This programLabel will not be displayed to users. The programLabel must not contain spaces. This identifier can have a max length of 25 characters. The programLabel cannot be changed once set. This programLabel will be used to generate LoyaltyProgram.name, which will have the format: |
loyaltyProgram |
Required. The LoyaltyProgram to create. |
Response body
If successful, the response body contains a newly created instance of LoyaltyProgram.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.